<?php
/**
 * The template for displaying home page.
 *
 * Template Name: Custom Home Page
 *
 * @package Sauna Lite
 */
get_header(); ?>

<main id="main" role="main">
  <?php do_action( 'sauna_lite_before_slider' ); ?>
  
  <?php if( get_theme_mod('sauna_lite_slider_hide') != ''){ ?>
    <section id="slider">
      <div id="carouselExampleIndicators" class="carousel slide carousel-fade" data-ride="carousel"> 
        <?php $slider_pages = array();
          for ( $count = 1; $count <= 4; $count++ ) {
            $mod = intval( get_theme_mod( 'sauna_lite_slidersettings-page-' . $count ));
            if ( 'page-none-selected' != $mod ) {
              $slider_pages[] = $mod;
            }
          }
          if( !empty($slider_pages) ) :
            $args = array(
              'post_type' => 'page',
              'post__in' => $slider_pages,
              'orderby' => 'post__in'
            );
            $query = new WP_Query( $args );
            if ( $query->have_posts() ) :
              $i = 1;
        ?>
        <div class="carousel-inner" role="listbox">
          <?php  while ( $query->have_posts() ) : $query->the_post(); ?>
            <div <?php if($i == 1){echo 'class="carousel-item active"';} else{ echo 'class="carousel-item"';}?>>
              <?php the_post_thumbnail(); ?>
              <div class="carousel-caption">
                <div class="inner_carousel">
                  <h1><?php the_title(); ?></h1>
                  <div class="more-btn">              
                    <a href="<?php the_permalink(); ?>"><?php esc_html_e('LEARN MORE','sauna-lite'); ?><span class="screen-reader-text"><?php esc_html_e( 'LEARN MORE', 'sauna-lite' );?></span></a>
                  </div>
                </div>
              </div>
            </div>
          <?php $i++; endwhile; 
          wp_reset_postdata();?>
        </div>
        <?php else : ?>
            <div class="no-postfound"></div>
          <?php endif;
        endif;?>
        <a class="carousel-control-prev" href="#carouselExampleIndicators" role="button" data-slide="prev">
          <span class="carousel-control-prev-icon" aria-hidden="true"><i class="fas fa-chevron-left"></i></span><span class="screen-reader-text"><?php esc_html_e( 'Previous', 'sauna-lite' );?></span>
        </a>
        <a class="carousel-control-next" href="#carouselExampleIndicators" role="button" data-slide="next">
          <span class="carousel-control-next-icon" aria-hidden="true"><i class="fas fa-chevron-right"></i></span><span class="screen-reader-text"><?php esc_html_e( 'Next', 'sauna-lite' );?></span>
        </a>
      </div>  
      <div class="clearfix"></div>
    </section>
  <?php }?>

  <?php do_action( 'sauna_lite_after_slider' ); ?>

  <?php if( get_theme_mod('sauna_lite_sec1_title') != ''){ ?>
    <?php /*--OUR SERVICES--*/?>
    <section id="services-sec">
        <div class="container">
    	    <div class="service-title">
  	        <?php if( get_theme_mod('sauna_lite_sec1_title') != ''){ ?>
              <h2><?php echo esc_html(get_theme_mod('sauna_lite_sec1_title','')); ?></h2>  
  	        <div class="images_border">
              <img role="img" src="<?php echo esc_url( get_theme_mod('',get_template_directory_uri().'/images/heading-boder.png') ); ?>" alt="<?php esc_html_e( 'Heading Image', 'sauna-lite' );?>">
  	        </div>
  	        <?php }?>
    	    </div>
    	    <div class="row">
      			<?php $slider_pages = array();
      			for ( $count = 0; $count <= 3; $count++ ) {
      				$mod = absint( get_theme_mod( 'sauna_lite_services_sec_ettings-page-' . $count ));
      				if ( 'page-none-selected' != $mod ) {
      				  $slider_pages[] = $mod;
      				}
      			}
      			if( !empty($slider_pages) ) :
      			  $args = array(
      			    'post_type' => 'page',
      			    'post__in' => $slider_pages,
      			    'orderby' => 'post__in'
      			  );
      			  $query = new WP_Query( $args );
      			  if ( $query->have_posts() ) :
      			    $count = 0;
      					while ( $query->have_posts() ) : $query->the_post(); ?>
      						<div class="col-lg-4 col-md-4">
    						    <div class="service-imagebox">
    						        <?php the_post_thumbnail(); ?>
    						    </div>
    						    <div class="service-content">
  						        <h4><?php the_title(); ?></h4>
  						        <p><?php the_excerpt(); ?></p>
                      <a href="<?php the_permalink(); ?>" class="read-btn"><?php esc_html_e('Read More','sauna-lite'); ?><span class="screen-reader-text"><?php esc_html_e( 'Read More', 'sauna-lite' );?></span></a>
  						        <div class="clearfix"></div>
    						    </div>
      						</div>
      					<?php $count++; endwhile; 
      					wp_reset_postdata();
      					?>
      			  <?php else : ?>
    			      <div class="no-postfound"></div>
      			  <?php endif;
      			endif;?>
    		  </div>
    	    <div class="clearfix"></div>
    	</div> 
    </section>
  <?php }?>

  <?php do_action( 'sauna_lite_after_service' ); ?>

  <div class="container">
    	<?php while ( have_posts() ) : the_post(); ?>
      	<?php the_content(); ?>
      <?php endwhile; // end of the loop. ?>
  </div>
</main>

<?php get_footer(); ?>